Agents / REST API
Save sop draft
Save a personalized Reply/SDR SOP as an inactive versioned workspace draft. No hosted inference. Review before publication.
PUT /api/agents/sopDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
skillNameRequired · string- See the input schema for this field.
overlayMdRequired · string- See the input schema for this field.
expectedDraftCreatedAtRequired · string | null- Exact pending draft createdAt, null only when no draft exists.
curl -X PUT "https://app.pipeline.help/api/agents/sop" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"skillName":"example","overlayMd":"example","expectedDraftCreatedAt":"2026-01-01T00:00:00.000Z"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"skillName": {
"type": "string"
},
"overlayMd": {
"type": "string",
"minLength": 1,
"maxLength": 50000
},
"expectedDraftCreatedAt": {
"type": [
"string",
"null"
],
"description": "Exact pending draft createdAt, null only when no draft exists."
}
},
"required": [
"skillName",
"overlayMd",
"expectedDraftCreatedAt"
]
}